<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (21) on Mon May 27 19:45:04 CEST 2024 -->
<title>All Classes and Interfaces</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-27">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="all-classes-index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#all-classes">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="All Classes and Interfaces" class="title">All Classes and Interfaces</h1>
</div>
<div id="all-classes-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="all-classes-table-tab0" role="tab" aria-selected="true" aria-controls="all-classes-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table', 2)" class="active-table-tab">All Classes and Interfaces</button><button id="all-classes-table-tab1" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab1', 2)" class="table-tab">Interfaces</button><button id="all-classes-table-tab2" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab2', 2)" class="table-tab">Classes</button></div>
<div id="all-classes-table.tabpanel" role="tabpanel">
<div class="summary-table two-column-summary" aria-labelledby="all-classes-table-tab0">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/modele/Carre.html" title="class in com.projetdev.modele">Carre</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe Carre représente un carré graphique.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/modele/Cercle.html" title="class in com.projetdev.modele">Cercle</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe Cercle représente un cercle graphique.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab1"><a href="com/projetdev/modele/Dessinable.html" title="interface in com.projetdev.modele">Dessinable</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab1">
<div class="block">L'interface Dessinable définit une méthode pour dessiner un objet graphique.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/modele/DessinLibre.html" title="class in com.projetdev.modele">DessinLibre</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Classe représentant un dessin libre.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/modele/Ellipse.html" title="class in com.projetdev.modele">Ellipse</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe Ellipse représente une ellipse graphique.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/vue/Fenetre.html" title="class in com.projetdev.vue">Fenetre</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe Fenetre est la classe qui gère la fenêtre principale de l'application.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/modele/Forme.html" title="class in com.projetdev.modele">Forme</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe abstraite Forme représente une forme géométrique.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/controleur/GestionBoutons.html" title="class in com.projetdev.controleur">GestionBoutons</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe GestionBoutons est une classe qui gère les boutons de contrôle pour les formes graphiques.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/controleur/GestionCouleur.html" title="class in com.projetdev.controleur">GestionCouleur</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe GestionCouleur est une classe qui gère la couleur utilisée dans l'application.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/controleur/GestionMenu.html" title="class in com.projetdev.controleur">GestionMenu</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe GestionMenu est une classe qui gère les actions liées aux éléments de menu.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/controleur/GestionSouris.html" title="class in com.projetdev.controleur">GestionSouris</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe GestionSourisest une classe qui gère les interactions de la souris pour le dessin des formes.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/modele/Ligne.html" title="class in com.projetdev.modele">Ligne</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe Ligne représente une ligne graphique.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/LogicielDeDessins.html" title="class in com.projetdev">LogicielDeDessins</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe Application est la classe principale de l'application qui initialise et lance l'interface utilisateur.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/vue/PanneauBoutons.html" title="class in com.projetdev.vue">PanneauBoutons</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe PAnneauBoutons est le classe contenant le panneau de boutons d'interaction de l'application.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe PanneauDessin est la classe qui représente le panneau de dessin pour afficher des formes graphiques.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/projetdev/modele/Rectangle.html" title="class in com.projetdev.modele">Rectangle</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">La classe Rectangle représente un rectangle graphique.</div>
</div>
</div>
</div>
</div>
</main>
</div>
</div>
</body>
</html>
